<?php
/*
Template Name: Archives
*/
?>

<?php /* Counts the posts, comments and categories on your blog */
	$numposts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish'");
	if (0 < $numposts) $numposts = number_format($numposts); 
	
	$numcomms = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");
	if (0 < $numcomms) $numcomms = number_format($numcomms);
	
	$numcats = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->categories");
	if (0 < $numcats) $numcats = number_format($numcats);
	
	$numtags = $wpdb->get_var("SELECT COUNT(*) FROM wp_tags");
	if (0 < $numtags) $numtags = number_format($numtags);
?>

<?php get_header(); ?>

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<div class="post" id="post-<?php the_ID(); ?>">

	<div class="post-main">

<h2 class="page_title" id="post-<?php the_ID(); ?>"><?php the_title(); ?></h2>

There are currently <?php echo $numposts; ?> posts extending over <?php echo $numcats; ?> categories with loads upto <?php echo $numcomms; ?> comments. 

<h3>Browse by month</h3>
<ul>
	<?php wp_get_archives('type=monthly'); ?>
</ul>

<h3>Browse by category</h3>
<ul>
<?php wp_list_cats(); ?>
</ul>


	</div>

	</div>

	<?php endwhile; endif; ?>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
